Bug 4297 - [Mesa3d-dev] sizeof(RADEONDRIRec) does not match passed size from device driver
[Mesa3d-dev] sizeof(RADEONDRIRec) does not match passed size from device driver
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100
git
x86 (IA32) Linux (All)
: high normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 21:13 UTC by Alex
Modified: 2009-08-24 12:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2005-08-29 21:13:44 UTC
Hey guys, today I download a Mesa-3D cvs source tree and
a drm cvs source tree. This problem persist when trying
miniglx & hardware accelerated fbdev with radeon_dri.so driver:

----------

#./miniglxsample
[miniglx] probed chipset 0x4c59
CreateNotify
Authorize - magic 1

ERROR!  sizeof(RADEONDRIRec) does not match passed size from device driver
libGL error: InitDriver failed
libGL error: reverting to (slow) indirect rendering
XOpenDisplay: __driCreateScreen failed
Error: XOpenDisplay failed
Destroy Notify

----------

Thanks !
Comment 1 Dave Airlie 2005-08-29 22:03:22 UTC
miniglx is busted at the moment since we put the checks in for the sizes in the
32/64-bit code, the client tries to work out the size from a packet sent from
the server it doesn't work it blows up..

I've fixed this locally but it doesn't work completely correct, I'm hoping
tomorrow to get some time to fix it properly.. 
Comment 2 Dave Airlie 2005-08-30 18:26:36 UTC
This should be fixed now in Mesa CVS, if not please re-open.
Comment 3 ajax at nwnk dot net 2009-08-24 12:23:23 UTC
Mass version move, cvs -> git